Skip to main content
GET
/
o
/
{organisation_id}
/
projects
/
{project_id}
/
connection-templates
List project environment connection templates
curl --request GET \
  --url https://platform.versori.com/api/v2/o/{organisation_id}/projects/{project_id}/connection-templates \
  --header 'Authorization: Bearer <token>'
{
  "totalCount": 123,
  "items": [
    {
      "id": "<string>",
      "name": "<string>",
      "domain": "<string>",
      "dynamic": true,
      "authSchemeConfigs": [
        {
          "type": "none"
        }
      ],
      "templateBaseUrl": "<string>",
      "connectionTemplateId": "<string>"
    }
  ],
  "next": "<string>",
  "prev": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer token authentication used by the Versori Platform. External consumers must provide an API key, however internal consumers must provide a JWT id_token issued by our IdP.

Path Parameters

organisation_id
string<ulid>
required
project_id
string<ulid>
required

Query Parameters

env_id
string

Response

200 - application/json

OK

TriggerPage defines a paginated list of Triggers.

totalCount
integer
required
items
object[]
required
next
string
prev
string